From 1eeaeba5f3ffe60b54ed3f1cf8ab86915d47f645 Mon Sep 17 00:00:00 2001
From: KO Myung-Hun <komh@chollian.net>
Date: Fri, 3 Feb 2012 01:06:33 +0900
Subject: [PATCH 1/3] Include sys/types.h for ssize_t on OS/2

This fixes the following error,

In file included from ../../../include/vlc_stream.h:27,
                 from ../../../include/vlc_demux.h:33,
                 from mkv.hpp:55,
                 from demux.hpp:28,
                 from virtual_segment.cpp:27:
../../../include/vlc_block.h:138: error: 'ssize_t' has not been declared
---
 include/vlc_block.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/include/vlc_block.h b/include/vlc_block.h
index 13c52b2..3fed8a3 100644
--- a/include/vlc_block.h
+++ b/include/vlc_block.h
@@ -30,6 +30,8 @@
  *
  */
 
+#include <sys/types.h>  /* for ssize_t */
+
 /****************************************************************************
  * block:
  ****************************************************************************
-- 
1.7.3.2

